org.apache.lucene.queries.function

## Class FunctionQuery.FunctionWeight

- java.lang.Object
- - org.apache.lucene.search.Weight
  - - org.apache.lucene.queries.function.FunctionQuery.FunctionWeight

- Enclosing class:
    FunctionQuery

      protected class FunctionQuery.FunctionWeight
      extends Weight

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map` | `context`
    `protected float` | `queryNorm`
    `protected float` | `queryWeight`
    `protected IndexSearcher` | `searcher`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionQuery.FunctionWeight(IndexSearcher searcher)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Explanation` | `explain(AtomicReaderContext context, int doc)`
    `Query` | `getQuery()`
    `float` | `getValueForNormalization()`
    `void` | `normalize(float norm, float topLevelBoost)`
    `Scorer` | `scorer(AtomicReaderContext context, boolean scoreDocsInOrder, boolean topScorer, Bits acceptDocs)`

    - ### Methods inherited from class org.apache.lucene.search.Weight

      `scoresDocsOutOfOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### searcher

          protected final IndexSearcher searcher

    - #### queryNorm

          protected float queryNorm

    - #### queryWeight

          protected float queryWeight

    - #### context

          protected final Map context

  - ### Constructor Detail

    - #### FunctionQuery.FunctionWeight

          public FunctionQuery.FunctionWeight(IndexSearcher searcher)
                                       throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getQuery

          public Query getQuery()

      Specified by:
        `getQuery` in class `Weight`

    - #### getValueForNormalization

          public float getValueForNormalization()
                                         throws IOException

      Specified by:
        `getValueForNormalization` in class `Weight`
      Throws:
        `IOException`

    - #### normalize

          public void normalize(float norm,
                       float topLevelBoost)

      Specified by:
        `normalize` in class `Weight`

    - #### scorer

          public Scorer scorer(AtomicReaderContext context,
                      boolean scoreDocsInOrder,
                      boolean topScorer,
                      Bits acceptDocs)
                        throws IOException

      Specified by:
        `scorer` in class `Weight`
      Throws:
        `IOException`

    - #### explain

          public Explanation explain(AtomicReaderContext context,
                            int doc)
                              throws IOException

      Specified by:
        `explain` in class `Weight`
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.